html,
body {
  margin: 0;
  padding: 0;
}

/* View Transitions */
@view-transition {
  navigation: auto;
}

body {
  background-color: var(--body-background-color);
  color: var(--body-text-color);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

header {
  text-align: center;
  padding: 0 var(--header-padding) 0 var(--header-padding);
  background-color: var(--header-background-color);
  color: var(--header-text-color);
  text-shadow: 1px 1px 2px #000;
}

header .name {
  display: inline-block;
}

main {
  padding: var(--largeSpacing) var(--body-padding) 0 var(--body-padding);
  display: flex;
  flex-direction: column;
}

time {
  font-weight: lighter;
}

footer {
  background-color: var(--footer-background-color);
  padding: 20px;
  color: var(--footer-text-color);
  text-align: center;
}

a {
  color: var(--body-accent-color);
  text-decoration: solid underline;
  -webkit-text-decoration: solid underline;
}

a:hover {
  opacity: 0.4;
}

footer a {
  color: var(--footer-accent-color)
}

footer a:hover {
  opacity: 0.9;
}

footer .u-photo {
  width: 50px;
  height: 50px;
  margin-bottom: 10px;
  box-shadow: 0 0 2px 0 black;
  border-radius: 50%;
}

footer ul {
  list-style-type: circle;
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 0;
}

footer li {
  padding: 0px;
  margin-left: 20px;
}

footer li:first-child {
  list-style-type: none;
  margin-left: 0;
}

main img {
  width: 100%;
}

/* Microformats */
/* On the index page, do not display the author link as it's always me */
a[rel=author] {
  display: none;
}

a[rel=permalink] {
  display: none;
}

.h-card .p-name {
  display: none;
}

/* utilities */
.hidden {
  display: none;
}

/* View transitions - only the clicked element and destination get the transition */
/* @media (prefers-reduced-motion: no-preference) {

  .article-title-link,
  .article-title-header {
    view-transition-name: article-title;
  }
} */

/* main article h1 {
  view-transition-name: match-element;
} */